@thohoh

Как установить ruby через RVM ?

Привет , прежде чем сюда писать я изрядно погуглил , но так ничего ясного я не нашел.

ОС Ubuntu 14.04 LST x64

Изначально задача была начать пользоватся sass , как оказалось нужно установить ruby.
Сразу скажу с руби не знаком , как и с особенностями продвинутой работы в терминале и пакетными установщиками.

Почитав о каждом из способом установки решил воспользоватся RVM.
Как оказалось все сложнее чем казалось , спешка и нестабильное интернет соединение взяло свое. В итоге накидал в терминал все что только можно и не можно из документации , потом рейдж делит всех папок и файлов , строк в bash с rvm , sass и всего что посоветовали на stackoverflow. Потом были еще тщетные попытки.

Сейчас имею :

rvm -v
rvm 1.25.30 (master) by Wayne E.

whereis rvm
rvm:


Пытался установить :
rvm install 2.1.1
Searching for binary rubies, this might take some time.
No binary rubies available for: ubuntu/14.04/x86_64/ruby-2.1.1.
Continuing with compilation. Please read 'rvm help mount' to get more information on binary rubies.
Checking requirements for ubuntu.
Requirements installation successful.
Installing Ruby from source to: /home/thohoh/.rvm/rubies/ruby-2.1.1, this may take a while depending on your cpu(s)...
ruby-2.1.1 - #downloading ruby-2.1.1, this may take a while depending on your connection...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 11.4M  100 11.4M    0     0  7166k      0  0:00:01  0:00:01 --:--:-- 7166k
ruby-2.1.1 - #extracting ruby-2.1.1 to /home/thohoh/.rvm/src/ruby-2.1.1....
ruby-2.1.1 - #applying patch /home/thohoh/.rvm/patches/ruby/2.1.1/libyaml.patch.
ruby-2.1.1 - #applying patch /home/thohoh/.rvm/patches/ruby/changeset_r45225.diff.
ruby-2.1.1 - #applying patch /home/thohoh/.rvm/patches/ruby/changeset_r45240.diff.
ruby-2.1.1 - #configuring....................................................
ruby-2.1.1 - #post-configuration..
ruby-2.1.1 - #compiling.....................................................................................
ruby-2.1.1 - #installing.................................
ruby-2.1.1 - #making binaries executable..
Rubygems 2.2.2 already available in installed ruby, skipping installation, use --force to reinstall.
ruby-2.1.1 - #gemset created /home/thohoh/.rvm/gems/ruby-2.1.1@global
ruby-2.1.1 - #importing gemset /home/thohoh/.rvm/gemsets/global.gems..........................................................
ruby-2.1.1 - #generating global wrappers........
ruby-2.1.1 - #gemset created /home/thohoh/.rvm/gems/ruby-2.1.1
ruby-2.1.1 - #importing gemsetfile /home/thohoh/.rvm/gemsets/default.gems evaluated to empty gem list
ruby-2.1.1 - #generating default wrappers........
ruby-2.1.1 - #adjusting #shebangs for (gem irb erb ri rdoc testrb rake).
Install of ruby-2.1.1 - #complete 
Please be aware that you just installed a ruby that requires 3 patches just to be compiled on an up to date linux system.
This may have known and unaccounted for security vulnerabilities.
Please consider upgrading to ruby-2.1.2 which will have all of the latest security patches.
Ruby was built without documentation, to build it run: rvm docs generate-ri
thohoh@le-ubuntu:~$ rvm upgrade 2.1.1 2.1.2
Are you sure you wish to upgrade from ruby-2.1.1 to ruby-2.1.2? (Y/n): y
Migrating gems from ruby-2.1.1 to ruby-2.1.2
Free disk space 148144MB, required 1MB.
Are you sure you wish to MOVE gems from ruby-2.1.1 to ruby-2.1.2?
This will overwrite existing gems in ruby-2.1.2 and remove them from ruby-2.1.1 (Y/n): y
Moving ruby-2.1.1@global to ruby-2.1.2@global.............................................................................................................................................................................
Making gemset ruby-2.1.2@global pristine...............................................................
Moving ruby-2.1.1 to ruby-2.1.2..........................................................................................................
Making gemset ruby-2.1.2 pristine.............................................................
Do you also wish to completely remove ruby-2.1.1 (inc. archive)? (Y/n): y
Removing ruby-2.1.1................
Successfully migrated ruby-2.1.1 to ruby-2.1.2
Upgrade complete!

ruby -v
The program 'ruby' can be found in the following packages:
 * ruby
 * ruby1.8
Try: sudo apt-get install <selected package>

whereis ruby
ruby:


ну а с Sass вообще ничего не понятно :

sass -v
The program 'sass' is currently not installed. You can install it by typing:
sudo apt-get install ruby-sass

gem install sass
<internal:gem_prelude>:1:in `require': cannot load such file -- rubygems.rb (LoadError)
	from <internal:gem_prelude>:1:in `<compiled>'


Знаю , это нубство. Не закидывайте пожалуйста помидорами , просто скажите способ как можно все вернуть на исходную , поудалять лишний мусор который я скорей всего сделал в системе и сделать все правильно с нуля , грац.

UPD : разобрался , проблема была в следующем https://rvm.io/integration/gnome-terminal
  • Вопрос задан
  • 3369 просмотров
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
Reer Tech Москва
от 130 000 до 170 000 ₽
от 80 000 до 220 000 ₽
iGooods.ru Санкт-Петербург
от 120 000 до 180 000 ₽
28 февр. 2020, в 19:16
25000 руб./за проект
28 февр. 2020, в 19:15
3000 руб./за проект
28 февр. 2020, в 18:32
10000 руб./за проект